Verify VPA
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/verify-vpa \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/verify-vpa"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/verify-vpa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"vpa": "<string>",
"customer_name": "<string>",
"mandate_details": {
"is_handle_supported": true
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Payments
Verify VPA
The Virtual Payment Address or VPA is a unique ID given to an individual using the Unified Payment Interface (UPI) service to send or receive money. In the case of UPI collect VPA is the mandatory param and merchants are always advised to check if the VPA is valid or not. Validating the VPA will help in reducing the failure rate due to incorrect vpa.
GET
/
payments
/
verify-vpa
Verify VPA
Was this page helpful?
⌘I